Bug 358581 - missing libuser-python dependency
missing libuser-python dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-30 13:03 EDT by Juha Tuomala
Modified: 2008-02-28 16:43 EST (History)
0 users

See Also:
Fixed In Version: setroubleshoot-2.0.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 15:21:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2007-10-30 13:03:09 EDT
Description of problem:

missing dependency.


Version-Release number of selected component (if applicable):
Installed: setroubleshoot-server.noarch 0:1.10.7-1.fc8
Dependency Installed: audit.x86_64 0:1.6.2-4.fc8 libxml2-python.x86_64 
0:2.6.30-1 setroubleshoot-plugins.noarch 0:1.10.3-1.fc8
Complete!


How reproducible:

# service setroubleshoot status
setroubleshootd is stopped
# service setroubleshoot start
Starting setroubleshootd:                                  [  OK  ]
# Traceback (most recent call last):
  File "/usr/sbin/setroubleshootd", line 95, in <module>
    from setroubleshoot.server import RunFaultServer
  File "/usr/lib/python2.5/site-packages/setroubleshoot/server.py", line 43, 
in <module>
    from setroubleshoot.analyze import *
  File "/usr/lib/python2.5/site-packages/setroubleshoot/analyze.py", line 28, 
in <module>
    from setroubleshoot.avc_audit import *
  File "/usr/lib/python2.5/site-packages/setroubleshoot/avc_audit.py", line 
41, in <module>
    from setroubleshoot.signature import AVC, AvcContext
  File "/usr/lib/python2.5/site-packages/setroubleshoot/signature.py", line 
57, in <module>
    import libuser
ImportError: No module named libuser

Steps to Reproduce:
1. install
2. start
3.
  
Actual results:
traceback

Expected results:
no traceback

Additional info:

Installed: libuser-python.x86_64 0:0.56.6-1.fc8
Complete!
# service setroubleshoot start
Starting setroubleshootd:                                  [  OK  ]
Comment 1 John Dennis 2008-01-09 15:21:18 EST
Thank you for reporting this, it has been fixed in the current release.
Comment 2 Fedora Update System 2008-01-15 17:55:01 EST
setroubleshoot-2.0.2-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'
Comment 3 Juha Tuomala 2008-01-16 03:27:18 EST
Great, thank you for fixing it :)
Comment 4 Fedora Update System 2008-02-25 21:18:58 EST
setroubleshoot-plugins-2.0.4-3.fc8,setroubleshoot-2.0.5-2.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-02-28 16:43:08 EST
setroubleshoot-plugins-2.0.4-3.fc8, setroubleshoot-2.0.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.